/*
 *
 * Pyldin-601 emulator version 3.0 for Win32/WinCE
 * Copyright (c) Sasha Chukov & Yura Kuznetsov, 2000-2002
 *
 */

#ifndef __MC6845_H__
#define __MC6845_H__

#if defined(ARM)
#define IPAQ3600
#endif

#define byte	unsigned char
#define word	unsigned short
#define dword	unsigned int

extern byte vregs[16];
extern byte *vMem;
extern word *vscr;
extern byte m601a;
extern short txt260;
extern short grf260;
extern int vkbdEnable;
extern int redrawVMenu;
extern int clearVScr;

void setupScr(int mode);
extern void drawVMenu(void);
extern void refreshScr();
extern void refreshScr_A();
int loadTextFont(char *name);
extern void viewInfo();

#endif
